aboutsummaryrefslogtreecommitdiff
path: root/check/sh
diff options
context:
space:
mode:
Diffstat (limited to 'check/sh')
-rwxr-xr-xcheck/sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/check/sh b/check/sh
new file mode 100755
index 00000000..47e41c77
--- /dev/null
+++ b/check/sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+for sh in sh/* sh/profile.d/* ; do
+ [ -f "$sh" ] || continue
+ sh -n "$sh" || exit
+done
+printf 'All sh(1) scripts parsed successfully.\n'